{
  "components" : [ {
    "label" : "service",
    "hideLabel" : true,
    "mask" : false,
    "tableView" : true,
    "alwaysEnabled" : false,
    "type" : "container",
    "input" : true,
    "key" : "service",
    "validate" : {
      "customMessage" : "",
      "json" : ""
    },
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "components" : [ {
      "label" : "HTML",
      "className" : "",
      "attrs" : [ {
        "attr" : "",
        "value" : ""
      } ],
      "content" : "<h4>Cluster</h4>",
      "refreshOnChange" : false,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "htmlelement",
      "input" : false,
      "key" : "html6",
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    }, {
      "label" : "cluster",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "container",
      "input" : true,
      "key" : "cluster",
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "components" : [ {
        "label" : "Columns",
        "columns" : [ {
          "components" : [ {
            "label" : "Stage",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "disabled" : true,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "stage",
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "inputFormat" : "plain",
            "encrypted" : false,
            "properties" : { },
            "tags" : [ ],
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          }, {
            "label" : "Key",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "key",
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 15 Zeichen, alles kleingeschrieben",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[a-z0-9]{4,15}$"
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "inputFormat" : "plain",
            "encrypted" : false,
            "properties" : { },
            "tags" : [ ],
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "hideOnChildrenHidden" : false,
          "key" : "column",
          "tableView" : true,
          "label" : "Column"
        }, {
          "components" : [ {
            "label" : "Size",
            "mask" : false,
            "disabled" : true,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "number",
            "input" : true,
            "key" : "size",
            "validate" : {
              "customMessage" : "",
              "json" : "",
              "required" : true,
              "min" : null,
              "max" : null
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "properties" : { },
            "tags" : [ ],
            "delimiter" : false,
            "requireDecimal" : false,
            "encrypted" : false,
            "decimalLimit" : null,
            "customConditional" : "",
            "logic" : [ ],
            "reorder" : false
          }, {
            "label" : "Service",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "disabled" : true,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "service",
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "inputFormat" : "plain",
            "encrypted" : false,
            "properties" : { },
            "tags" : [ ],
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "hideOnChildrenHidden" : false,
          "key" : "column",
          "tableView" : true,
          "label" : "Column"
        } ],
        "mask" : false,
        "tableView" : false,
        "alwaysEnabled" : false,
        "type" : "columns",
        "input" : false,
        "key" : "columns5",
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "tabs" : null,
        "reorder" : false,
        "properties" : { },
        "tags" : null,
        "customConditional" : "",
        "logic" : [ ]
      } ],
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : [ ],
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    }, {
      "label" : "HTML",
      "className" : "",
      "attrs" : [ {
        "attr" : "",
        "value" : ""
      } ],
      "content" : "<p>&nbsp;</p>\n<h4>Connect-Version</h4>",
      "refreshOnChange" : false,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "htmlelement",
      "input" : false,
      "key" : "html4",
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    }, {
      "label" : "connect_version",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "select",
      "input" : true,
      "key" : "connect_version",
      "defaultValue" : "latest",
      "validate" : {
        "customMessage" : "",
        "json" : "",
        "required" : true,
        "select" : false
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "data" : {
        "url" : "api/v1/scopes/{{context.scopeId}}/tags/{{context.scopeTag}}/datasources/whitelabel-docker-image-tags/query",
        "headers" : [ {
          "key" : "",
          "value" : ""
        } ],
        "values" : [ ]
      },
      "dataSrc" : "url",
      "valueProperty" : "value",
      "tabs" : null,
      "properties" : { },
      "selectThreshold" : 0.3,
      "encrypted" : false,
      "lazyLoad" : false,
      "selectValues" : "",
      "disableLimit" : false,
      "sort" : "",
      "tags" : [ ],
      "customConditional" : "",
      "logic" : [ ],
      "customDefaultValue" : "value='latest'",
      "reference" : false,
      "reorder" : false
    }, {
      "label" : "HTML",
      "className" : "",
      "attrs" : [ {
        "attr" : "",
        "value" : ""
      } ],
      "content" : "<p>&nbsp;</p>\n<p> </p>",
      "refreshOnChange" : false,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "htmlelement",
      "input" : false,
      "key" : "html5",
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "tabs" : null,
      "encrypted" : false,
      "properties" : { },
      "tags" : null,
      "customConditional" : "",
      "logic" : [ ],
      "reorder" : false
    }, {
      "label" : "Optionale Connect-Features",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "dualmultiselect",
      "input" : true,
      "key" : "connect_features",
      "defaultValue" : [ ],
      "validate" : {
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "data" : {
        "url" : "api/v1/scopes/{{ context.scopeId }}/processes/{{ context.processId }}/datasources/connect-features/query?default='0','1'",
        "values" : [ { } ]
      },
      "template" : "{{ item.key }}",
      "tabs" : null,
      "properties" : { },
      "tags" : [ ],
      "encrypted" : false,
      "customConditional" : "",
      "logic" : [ ],
      "projection" : "key",
      "reorder" : false
    } ],
    "tabs" : null,
    "encrypted" : false,
    "properties" : { },
    "tags" : [ ],
    "customConditional" : "",
    "logic" : [ ],
    "reorder" : false
  } ],
  "display" : "form",
  "configKey" : "service",
  "name" : "service"
}